%define name worker
%define version 2.7.0
%define release 3mdk

Summary: A file manager for X in AMIGA style
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: worker-2.0.0_3-doc.tar.bz2
Source3: %{name}-48.png
Source4: %{name}-32.png
Source5: %{name}-16.png
License: GPL
Group: File tools
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://www.boomerangsworld.de/worker
BuildRequires: XFree86-devel

%description
Worker is a graphical filemanager for the X Window System.
It use the classical two-panel-view of the files and directories. 
It hast many intern operations while any extern program can also be
used for operate on the selected items. You can easily add actions 
to filetypes or buttons with the builtin configuration program.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -a 1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/worker"\
title="Worker"\
longtitle="A file manager, similar to Directory Opus on the AMIGA"\
needs="x11"\
section="Applications/File tools"\
icon="%{name}.png"
EOF
) 
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS COPYING ChangeLog
%doc worker-2.0.0/docs/*
%{_bindir}/*
%{_datadir}/worker/*
%{_mandir}/man1/worker.1*
%{_libdir}/menu/worker
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_datadir/pixmaps/*.xpm

%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.7.0-3mdk
- fix buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-2mdk
- rebuild

* Sun Oct 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.7.0-1mdk
- new version

* Mon Aug 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- new version 
- fixed menu longtitle
- drop merged patch

* Mon Aug 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- new version
- patch for gcc3.2 build

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 2.5.0-3mdk
- Rebuild with gcc3.2

* Tue Jul 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.5.0-2mdk
- updated html documentation
- don't bzip2 the png icons
- autoconf 2.5 macro

* Mon May 27 2002  Lenny Cartier <lenny@mandrakesoft.com> 2.5.0-1mdk
- 2.5.0

* Sun Apr  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0-1mdk
- new version
- png icons

* Thu Jan 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1

* Tue Dec 18 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.3.0-2mdk
- rebuild to fix broken package on mirror

* Wed Nov  7 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.3.0-1mdk
- added icons
- 2.3.0

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.2.2

* Wed May 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.2.1

* Thu Mar 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- updated to 2.2.0

* Wed Mar 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial Mandrake package
